Loading...
Searching...
No Matches
Catch::Totals Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Totals:
[legend]

## Public Member Functions

Totals | operator- (Totals const &other) const
Totals & | operator+= (Totals const &other)
Totals | delta (Totals const &prevTotals) const

## Public Attributes

Counts | assertions
Counts | testCases

## Member Function Documentation

## delta()

Totals Catch::Totals::delta | ( | Totals const & | prevTotals | ) | const

## operator+=()

Totals & Catch::Totals::operator+= | ( | Totals const & | other | ) |

## operator-()

Totals Catch::Totals::operator- | ( | Totals const & | other | ) | const

## Member Data Documentation

## assertions

Counts Catch::Totals::assertions

## testCases

Counts Catch::Totals::testCases

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp